<?php

class cUsuariogestion{			

	function modificar($usu_id,$nom,$ape,$ema,$tel,$dir,$dni){

	$sql="UPDATE tb_usuario SET 

		`tb_usuario_nom` = '$nom', 

		`tb_usuario_ape` = '$ape', 

		`tb_usuario_ema` = '$ema', 

		`tb_usuario_tel` = '$tel', 

		`tb_usuario_dir` = '$dir', 

		`tb_usuario_dni` = '$dni', 

		`tb_usuario_mod` = NOW()

		WHERE tb_usuario_id = $usu_id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrarUno($usu_id){

		$sql="SELECT * 

		FROM  tb_usuario u

		INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id = ug.tb_usuariogrupo_id

		INNER JOIN tb_usuarioperfil up ON up.tb_usuarioperfil_id=u.tb_usuarioperfil_id	

		WHERE u.tb_usuario_id =$usu_id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}	

	// para la funtcion detalle usuario en administrador validar

	function mostrarUnos($id){

	$sql="SELECT * 

	FROM  `tb_usuario` 

	WHERE tb_usuario_id =$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;		  

	}



	function acceso($use,$pas){

	$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use' AND tb_usuario_pas=MD5('$pas');";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function registroAcceso($id){

	$sql="SELECT * 

		FROM tb_usuario u

		INNER JOIN tb_usuariogrupo g ON u.tb_usuariogrupo_id=g.tb_usuariogrupo_id

		INNER JOIN tb_empresa e ON u.tb_empresa_id=e.tb_empresa_id

		WHERE tb_usuario_id=$id;";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function verificaUsuario($use){

		$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use';";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function verificaClave($id,$pas){

	$sql="SELECT * FROM tb_usuario WHERE tb_usuario_id='$id' AND tb_usuario_pas=MD5('$pas');";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function verificar_restabclave($ema,$cod){

	$sql="SELECT * FROM tb_restabclave WHERE tb_restabclave_ema='$ema' AND tb_restabclave_cod='$cod';";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function mostrar_usuario_con_email($ema){

		$sql="SELECT * 

		FROM tb_usuario 

		WHERE tb_usuario_ema='$ema';";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	//--modificar clave-actual

	function modificar_clave($id,$pas){

		$sql="UPDATE tb_usuario SET  `tb_usuario_pas` = MD5('$pas') WHERE tb_usuario_id =$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	//--

	//--modificar user actual

	function modificar_nombreusuario($id,$use){

		$sql="UPDATE tb_usuario SET  `tb_usuario_use` = '$use' 

		WHERE tb_usuario_id =$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}

	//

	//restableciemiento de clave

	function insertar_restabclave($ema,$cod,$est,$usu_id){

		$sql = "INSERT INTO tb_restabclave (

		`tb_restabclave_ema`,

		`tb_restabclave_cod`, 

		`tb_restabclave_est`, 

		`tb_usuario_id`

		) VALUES (

		'$ema', '$cod', '$est', '$usu_id');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function modificar_restabclave($id,$est){

	$sql = "UPDATE tb_restabclave SET  

	`tb_restabclave_est` =  '$est' 

	WHERE tb_restabclave_id =$id;"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

		

	function modificarUltimaVisita($id){

	$sql="UPDATE tb_usuario SET

`tb_usuario_ultvis` =  NOW( ) 

WHERE tb_usuario_id=$id;";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;		  

	}

	function modificar_campo($id, $campo, $valor)

    {

        $sql= "UPDATE tb_usuario SET

		`tb_usuario_$campo`= '$valor'

		WHERE tb_usuario_id =$id;";

        $oCado = new Cado();

        $rst   = $oCado->ejecute_sql($sql);

        return $rst;

    }



	function filtrar($usugru_id,$mos){

		$sql="SELECT * FROM tb_usuario u

		INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id=ug.tb_usuariogrupo_id

		INNER JOIN tb_usuarioperfil up ON u.tb_usuarioperfil_id=up.tb_usuarioperfil_id

		WHERE tb_usuario_xac=1 AND ug.tb_usuariogrupo_mos=1 ";



		if($usugru_id>0)$sql.="	AND u.tb_usuariogrupo_id=$usugru_id "; 



		$sql.="	ORDER BY tb_usuariogrupo_nom, tb_usuario_ape, tb_usuario_nom ";

	

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;		  

	}



}

?>